/***************************************
*                                      *
*            制御値の設定              *
*                                      *
*                                      *
***************************************/

#include <iostream>
#include <cstdlib>
#include <ctime>
#include "snaps.h"
#include "cntl.h"
#include "file_open.h"

void cntl()
{
	int kokko;
	
	time_t t;
	
	char filename[250];
	
	using namespace std;
	
	// 国庫負担割合
	for( kokko = 0 ; kokko <= KOKKO_HIKIAGE - 1 ; kokko++ )
	{
		Kokko_Wariai[kokko] = 1. / 3.;
	}
	Kokko_Wariai[KOKKO_HIKIAGE - 1] = 1. / 2.;
	
	// 既裁定者物価スライドの下支え割合
	Kisai_Shitasasae = 0.80;
	
	// 繰上げ減額率の切替年次
	HenkouSeinendo = 1941;
	
	// オプションⅡ
	// ０：しない
	// １：する（ 220万人拡大）
	// ２：する（1200万人拡大）
	Option2 = 0;
	
	// オプションⅢ
	// ０：しない
	// １：する
	Option3 = 0;
	
	// 国民年金保険料の納付率
	// ０：今後の取り組み強化等により向上した場合
	// １：現状の納付率で推移した場合
	Noufuritu_Zentei = 0;
	
	// 設定内容の書き出し
	sprintf( filename , "/rev26/nat/settei/SETTEI_%s" , Version );
	if( ( fp_settei = fopen( filename , "a" ) ) == NULL )
	{
		cout << "設定内容ファイルのオープンに失敗しました" << endl;
		exit(1);
	}
	
	t = time( NULL );
	fprintf( fp_settei , "\n" );
	fprintf( fp_settei , "%s\n" , ctime(&t) );
	fprintf( fp_settei , "パート適用拡大  2016.10\n" );
	if( Noufuritu_Zentei == 0 )
	{
		fprintf( fp_settei , "国民年金保険料の納付率の前提：今後の取り組み強化等により向上した場合\n" );
	}
	else if( Noufuritu_Zentei == 1 )
	{
		fprintf( fp_settei , "国民年金保険料の納付率の前提：現状の納付率で推移した場合\n" );
	}
	if( Option2 == 1 )
	{
		fprintf( fp_settei , "オプションⅡ　被用者保険の更なる適用拡大（ 220万人拡大）  2024.4\n" );
	}
	else if( Option2 == 2 )
	{
		fprintf( fp_settei , "オプションⅡ　被用者保険の更なる適用拡大（1200万人拡大）  2024.4\n" );
	}
		if( Option3 == 1 )
	{
		fprintf( fp_settei , "オプションⅢ　保険料拠出期間と受給開始年齢の選択制\n" );
	}
}
